Subject: Re: [core] #385 (interfaces): Use POST in a Batch (sec.5.2) for more than just toggling

From: Michael Koster <[email-masked]>
Date: Tue, 13 Oct 2015 20:41:25 -0700

I will make this correction as I am updating the CoRE Interfaces draft.

Michael

On Aug 27, 2015, at 6:40 AM, core issue tracker <[email-masked]> wrote:

> #385: Use POST in a Batch (sec.5.2) for more than just toggling
> 
> Dear all, authors of core-interfaces,
> 
> I was surprised reading in section 5.2 that a POST on a Batch resource
> would always be interpreted as a “toggle” action on all its sub-resources.
> Is this intended?
> Rather I would vote for a POST being translated to the same POST executed
> on all sub-resources that support it – which would for actuator resources
> translate into a toggle action. But for other resource types (which may be
> defined in the future, or may be standard-specific, etc.) the POST could
> take on a different meaning.
> 
> -- 
> -------------------------+-------------------------------------------------
> Reporter:               |      Owner:  draft-ietf-core-
>  [email-masked]  |  [email-masked]
>     Type:  protocol     |     Status:  new
>  enhancement            |  Milestone:
> Priority:  major        |    Version:
> Component:  interfaces   |   Keywords:
> Severity:  -            |
> -------------------------+-------------------------------------------------
> 
> Ticket URL: <http://trac.tools.ietf.org/wg/core/trac/ticket/385>
> core <http://tools.ietf.org/core/>
> 
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core